%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-OpenSSL-X509
Version:       1.902
Release:       1mamba
Summary:       Crypt::OpenSSL::X509	- Perl extension to OpenSSL's X509 API
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-OpenSSL-X509-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
Crypt::OpenSSL::X509 - Perl extension to OpenSSL's X509 API.

%prep
%setup -q -n Crypt-OpenSSL-X509-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README TODO

%changelog
* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.902-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.807-2mamba
- rebuilt with perl 5.24

* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 1.807-1mamba
- automatic update by autodist

* Fri Jan 30 2015 Automatic Build System <autodist@mambasoft.it> 1.806-1mamba
- automatic update by autodist

* Wed Nov 26 2014 Automatic Build System <autodist@mambasoft.it> 1.805-1mamba
- automatic update by autodist

* Sun Oct 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.804-1mamba
- package created using the webbuild interface
